package teplo
  model heat
    parameter Integer num = 10;
    Real u[num](each start = lowTemp);
    Real step = 0.1;
    parameter Real alpha = 1;
    parameter Real highTemp = 1500;
    parameter Real lowTemp = 20;
  initial equation
    for i in 2:integer(num / 4) loop
      u[i] = highTemp;
    end for;
/*
    for i in 4:num-1 loop
     u[i] = lowTemp;
    end for;
  */
  equation
    u[1] = u[2];
    u[end] = u[end - 1];
    for i in 2:num - 1 loop
      der(u[i]) = alpha * (u[i - 1] - 2 * u[i] + u[i + 1]) / step ^ 2;
    end for;
  end heat;

  model test
    Modelica.Electrical.Analog.Basic.Resistor resistor[1000] annotation(Placement(visible = true, transformation(origin = {-2, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Resistor resistor1 annotation(Placement(visible = true, transformation(origin = {36, 2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    equation
    for i in 1:1000 loop
      connect(resistor[i].n, resistor[i+1].p) annotation(Line(points = {{8, 0}, {26, 0}, {26, 2}, {26, 2}}, color = {0, 0, 255}));
      end for;
    annotation(Icon(coordinateSystem(extent = {{-100, -100}, {70, 100}}, grid = {4, 2})));
  end test;
  annotation(uses(Modelica(version = "3.2.2")));
end teplo;
